Crux: BRE/WFE - Task #18176

Testing workflows
29/03/2024 02:34 PM - Tushar Bhingare

Status: Dropped Start date: 29/03/2024
Priority: Normal Due date:

Assignee: Sachin Divekar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

Test workflow progression using web service calls for WFInstanceNew and MarkDone. Write workflows for testing parallel steps,
subflows and test and verify their progression from start to end.

Associated revisions

Revision 2d633100 - 29/03/2024 02:44 PM - Tushar Bhingare
Bugfix and code refactoring in cache and markdone refs #18176
e fix the bug where the cache implementation was overwriting only the last workflow or ruleset it finds for realm, app, slice, class combo.

e code refactoring to avoid unnecessary loops
¢ add logs and handle errors

Revision f96d62db - 29/03/2024 11:40 PM - Tushar Bhingare
Merge pull request #160 from remiges-Tushar/wsc
Bugfix and code refactoring in cache and markdone refs #18176

Revision c033be2f - 01/04/2024 05:46 PM - Tushar Bhingare

refs #18176 fix subflows & asynchronous steps

Revision 462e5a51 - 01/04/2024 05:46 PM - Tushar Bhingare

Merge pull request #161 from remiges-Tushar/wsc

refs #18176 fix subflows & asynchronous steps

History

#1 - 03/04/2024 06:17 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 03/04/2024 06:19 PM - Shuvam Misra
- Is duplicate of Task #17960: Ul: test-run a workflow added

#3 - 03/04/2024 06:20 PM - Shuvam Misra

- Status changed from In Progress to Dropped

It is a duplicate of another task

#4 - 03/04/2024 06:22 PM - Shuvam Misra
- Is duplicate of deleted (Task #17960: Ul: test-run a workflow)
